server:
  port: 8021
  context-path: /netty
  tomcat:
    uri-encoding: utf-8



spring:
  profiles:
    active: dev
  datasource:
    url: jdbc:mysql://127.0.0.1:3306/smart_venue?useUnicode=true&characterEncoding=utf-8&autoReconnect=true&zeroDateTimeBehavior=convertToNull&serverTimezone=GMT%2b8&useAffectedRows=true
    username: root
    password: hyty1234
    driver-class-name: com.mysql.cj.jdbc.Driver

    # 数据库连接池配置
    druid:
      filters: stat
      initialSize: 1
      minIdle: 1
      maxActive: 40
      maxWait: 600000
      timeBetweenEvictionRunsMillis: 60000
      minEvictableIdleTimeMillis: 300000
      validationQuery: SELECT 'x'
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      poolPreparedStatements: true
      maxPoolPreparedStatementPerConnectionSize: 20
      WebStatFilter:
        enabled: false
        urlPattern:
        exclusions:
        sessionStatMaxCount:
        sessionStatEnable:
        principalSessionName:
        principalCookieName:
        profileEnable:
      StatViewServlet:
        enabled: true
        urlPattern: /druid/*
        resetEnable: true
        loginUsername: druid
        loginPassword: druid
        allow:
        deny:
  aop:
      auto: true
  http:
    encoding:
      force: true
      charset: utf-8
      enabled: true

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    property-naming-strategy: CAMEL_CASE_TO_LOWER_CASE_WITH_UNDERSCORES

  redis:
    pool:
      max-active: 1000
      max-wait: -1
      max-idle: 8
      min-idle: 8
    timeout: 60000


oss:
  accessKeyId: LTAIlbtS4W2Xe4OV
  accessKeySecret: qWMYkSfmXFtRoIv9q9OCbszcF9U7dX
  protocol: http
  name: smartvenue
  endPoint: http://oss-cn-beijing.aliyuncs.com
  url: https://smartvenue.oss-cn-beijing.aliyuncs.com/

# MyBatis Configuration
mybatis:
  type-aliases-package: com.ydd.oms.entity
  config-location: classpath:mybatis/mybatis-config.xml
  mapper-locations: classpath:mybatis/mapper/*/*.xml


face:
  url: 192.168.1.111
  account: test@test.com
  pwd: 123456

nettym:
  url: http://127.0.0.1:8021/netty/message/send


#netty服务器配置
netty:
  port: 56791
boss:
  thread:
    count: 1
worker:
  thread:
    count: 2
so:
  keepalive: true
  backlog: 100
  reuseaddr: true
tcp_nodelay: true